STAREA(1)

NUME
stat - afișează starea fișierului sau a sistemului de fișiere

REZUMAT
stat [OPȚIUNE]... FIȘIER...

DESCRIERE

Afișează starea fișierului sau a sistemului de fișiere.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-L, --dereference
    urmează legăturile

-f, --file-system
    afișează starea sistemului de fișiere în loc de starea dosarului/fișierului

--cached=MOD
    specifică modul de utilizare a atributelor din cache; util pe sistemele de fișiere de la distanță. Vedeți MOD, mai jos

-c  --format=FORMAT
    utilizează FORMATul specificat în loc de cel implicit; afișează o linie nouă după fiecare utilizare a FORMATULUI

--printf=FORMAT
    ca „ --format”, dar interpretează eludările de bară oblică inversă, și nu afișează o linie nouă obligatorie la sfârșit; dacă doriți o linie nouă, includeți în FORMAT

-t, --terse
    afișează informațiile în mod laconic

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Argumentul MOD al lui --cached poate fi: always, never, or default. „always” va folosi atributele memorate în cache, dacă sunt disponibile, în timp ce „never” va încerca să se sincronizeze cu cele mai recente atribute și „implicit” va lăsa această alegere în sarcina sistemului de fișiere de bază.

Secvențele de format valide pentru dosare/fișiere (fără „--file-system”):

%a  biți de permisiune în octal (notați fanioanele printf „#” și „0”)

%A  biți de permisiune și tip de fișier într-o formă lizibilă pentru om

%b  numărul de blocuri alocate (vedeți %B)

%B  dimensiunea în octeți a fiecărui bloc raportată de %b

%C  șirul contextului de securitate SELinux

%d  numărul dispozitivului în zecimal (st_dev)

%D  numărul dispozitivului în hexazecimal (st_dev)

%Hd numărul major al dispozitivului în zecimal

%Ld numărul minor al dispozitivului în zecimal

%f  modul brut în hexazecimal

%F  tipul fișierului

%g  ID-ul de grup al proprietarului, GID

%G  numele grupului proprietarului

%h  numărul de legături dure

%i  numărul nodului-i

%m  punctul de montare

%n  numele dosarului/fișierului

%N  numele fișierului între ghilimele, cu referință dacă este legătură simbolică

%o  sugestie de dimensiune optimă a transferului In/Ieș

%s  dimensiunea totală, în octeți

%r  tipul dispozitivului în zecimal (st_rdev)

%R  tipul dispozitivului în hexazecimal (st_rdev)

%Hr numărul major al dispozitivului în zecimal, pentru fișiere speciale de dispozitive de caractere sau blocuri

%Lr numărul minor al dispozitivului în zecimal, pentru fișiere speciale de dispozitive de caractere sau blocuri

%t  numărul major al dispozitivului în hexazecimal, pentru fișiere speciale de dispozitive de caractere sau blocuri

%T  numărul minor al dispozitivului în hexazecimal, pentru fișiere speciale de dispozitive de caractere sau blocuri

%u  ID-ul de utilizator al proprietarului, UID

%U  numele de utilizator al proprietarului

%w  ora creării fișierului, lizibilă pentru om; „-” dacă nu este cunoscută

%W  ora creării fișierului, secunde de la Epocă; „0” dacă nu este cunoscută

%x  ora ultimului acces, lizibilă pentru om

%X  ora ultimului acces, secunde de la Epocă

%y  ora ultimei modificări a datelor, lizibilă de către om

%Y  ora ultimei modificări a datelor, secunde de la Epoch

%z  ora ultimei schimbări de stare, lizibilă pentru om

%Z  ora ultimei schimbări de stare, secunde de la Epoch

Secvențe de format valide pentru sistemele de fișiere:

%a  blocuri libere disponibile pentru non-superutilizator

%b  totalul blocurilor de date din sistemul de fișiere

%c  totalul nodurilor de fișiere din sistemul de fișiere

%d  noduri de fișiere libere în sistemul de fișiere

%f  blocuri libere în sistemul de fișiere

%i  ID-ul sistemului de fișiere în hexazecimal

%l  lungimea maximă a numelor de dosare/fișiere

%n  numele dosarului/fișierului

%s  dimensiunea blocului (pentru transferuri mai rapide)

%S  dimensiunea fundamentală a blocului (pentru numărul de blocuri)

%t  tipul sistemului de fișiere în hexazecimal

%T  tipul sistemului de fișiere într-o formă lizibilă pentru om

  „--terse” este echivalent cu următorul FORMAT:

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  „--terse --file-system” este echivalent cu următorul FORMAT:

    %n %i %l %t %s %S %b %f %a %c %d

NOTĂ: shell-ul dvs. poate avea propria sa versiune de «stat», care de obicei înlocuiește versiunea descrisă aici. Consultați documentația shell-ului dvs. pentru detalii despre opțiunile pe care le acceptă.

AUTOR
Scris de Michael Meskes.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2023 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
stat(2), statfs(2), statx(2)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/stat>
sau local rulând comanda: «info '(coreutils) stat invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.